import dataextract as tde
import os

#Step 1: Create the extract file
# In this example we will do the equivalent of a 'Full Refresh'.
# If the .tde already exists, we'll delete it and recreate it.
if os.path.isfile('TrivialExample.tde'):
    os.remove('TrivialExample.tde')

tdefile = tde.Extract('TrivialExample.tde')

#Step 2: Create the tableDef
tableDef = tde.TableDefinition()
tableDef.addColumn('rowID', tde.Type.CHAR_STRING)
tableDef.addColumn('value', tde.Type.DOUBLE)

#Step 3: Create the table in the image of tableDef
table = tdefile.addTable('Extract', tableDef)

#Step 4: Create some rows and insert them into the table
newrow = tde.Row(tableDef)
for i in range(1,101):
    newrow.setCharString(0,'Row '+str(i))
    newrow.setDouble(1,i)
    table.insert(newrow)

#Step 5: Close the tde
tdefile.close()
